import request from '@/utils/request'

// 查询订阅套餐列表
export function listSubPlan(query) {
  return request({
    url: '/pay/subPlan/list',
    method: 'get',
    params: query
  })
}

// 查询订阅套餐详细
export function getSubPlan(id) {
  return request({
    url: '/pay/subPlan/' + id,
    method: 'get'
  })
}

// 新增订阅套餐
export function addSubPlan(data) {
  return request({
    url: '/pay/subPlan',
    method: 'post',
    data: data
  })
}

// 修改订阅套餐
export function updateSubPlan(data) {
  return request({
    url: '/pay/subPlan',
    method: 'put',
    data: data
  })
}

// 删除订阅套餐
export function delSubPlan(id) {
  return request({
    url: '/pay/subPlan/' + id,
    method: 'delete'
  })
}
